Subject: bug#60197: 30.0.50; beginning-of-defun broken after new treesit impl

From: Theodor Thornhill <[email-masked]>
Date: Mon, 19 Dec 2022 11:13:15 +0100

Hi, Yuan!

It seems 'prog-fill-reindent-defun' is broken after the latest changes
to treesit-beginning-of-defun.  The culprit is that we now use remap
instead of setting the beginning-of-defun-function.  What is the
reasoning behind that change?  Can't we just rely on the variable
beginning-of-defun-function?

I see you mentioned it is inteded to be used as a command, but surely
both should be possible?

Theo